## ide-autotools-build-system ide-autotools-build-system |

## Functions

#define | IDE_TYPE_AUTOTOOLS_BUILD_SYSTEM
const gchar * | ide_autotools_build_system_get_tarball_name ()

## Properties

gchar * | tarball-name | Read

## Types and Values

| IdeAutotoolsBuildSystem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBuildSystem
                ╰── IdeAutotoolsBuildSystem

## Implemented Interfaces

IdeAutotoolsBuildSystem implements GAsyncInitable.

## Description

## Functions

### IDE_TYPE_AUTOTOOLS_BUILD_SYSTEM

    #define IDE_TYPE_AUTOTOOLS_BUILD_SYSTEM (ide_autotools_build_system_get_type())

### ide_autotools_build_system_get_tarball_name ()

    const gchar *
    ide_autotools_build_system_get_tarball_name
                                   (IdeAutotoolsBuildSystem *self);

## Types and Values

### IdeAutotoolsBuildSystem

    typedef struct _IdeAutotoolsBuildSystem IdeAutotoolsBuildSystem;

## Property Details

### The `“tarball-name”` property

      “tarball-name”             gchar *

The name of the project tarball.

Flags: Read

Default value: NULL